<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentBookingResponse StructType
 * @subpackage Structs
 */
class PaymentBookingResponse extends AbstractStructBase
{
    /**
     * The PaymentRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PaymentRS
     */
    public $PaymentRS;
    /**
     * Constructor method for PaymentBookingResponse
     * @uses PaymentBookingResponse::setPaymentRS()
     * @param \StructType\JP_PaymentRS $paymentRS
     */
    public function __construct(\StructType\JP_PaymentRS $paymentRS = null)
    {
        $this
            ->setPaymentRS($paymentRS);
    }
    /**
     * Get PaymentRS value
     * @return \StructType\JP_PaymentRS|null
     */
    public function getPaymentRS()
    {
        return $this->PaymentRS;
    }
    /**
     * Set PaymentRS value
     * @param \StructType\JP_PaymentRS $paymentRS
     * @return \StructType\PaymentBookingResponse
     */
    public function setPaymentRS(\StructType\JP_PaymentRS $paymentRS = null)
    {
        $this->PaymentRS = $paymentRS;
        return $this;
    }
}
